Package org.eclipse.graphiti.mm.algorithms.styles.impl

# Class StylesFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.graphiti.mm.algorithms.styles.impl.StylesFactoryImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`, `StylesFactory`

public class StylesFactoryImpl extends org.eclipse.emf.ecore.impl.EFactoryImpl implements StylesFactory
An implementation of the model Factory.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.graphiti.mm.algorithms.styles.StylesFactory

`eINSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`StylesFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLocationTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertOrientationToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertUnderlineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`AdaptedGradientColoredAreas`
`createAdaptedGradientColoredAreas()`
`Color`
`createColor()`
`Font`
`createFont()`
`Object`
`createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`GradientColoredArea`
`createGradientColoredArea()`
`GradientColoredAreas`
`createGradientColoredAreas()`
`GradientColoredLocation`
`createGradientColoredLocation()`
`LineStyle`
`createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LocationType`
`createLocationTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Orientation`
`createOrientationFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Point`
`createPoint()`
`PrecisionPoint`
`createPrecisionPoint()`
`RenderingStyle`
`createRenderingStyle()`
`Style`
`createStyle()`
`TextStyle`
`createTextStyle()`
`TextStyleRegion`
`createTextStyleRegion()`
`UnderlineStyle`
`createUnderlineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`static StylesPackage`
`getPackage()`
Deprecated.
`StylesPackage`
`getStylesPackage()`
`static StylesFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### StylesFactoryImpl

public StylesFactoryImpl()
Creates an instance of the factory.

## Method Details

### init

public static StylesFactory init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

public Object createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

public String convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createRenderingStyle

public RenderingStyle createRenderingStyle()

Specified by:
  `createRenderingStyle` in interface `StylesFactory`
Returns:
  a new object of class 'Rendering Style'.

### createStyle

public Style createStyle()

Specified by:
  `createStyle` in interface `StylesFactory`
Returns:
  a new object of class 'Style'.

### createGradientColoredLocation

public GradientColoredLocation createGradientColoredLocation()

Specified by:
  `createGradientColoredLocation` in interface `StylesFactory`
Returns:
  a new object of class 'Gradient Colored Location'.

### createGradientColoredArea

public GradientColoredArea createGradientColoredArea()

Specified by:
  `createGradientColoredArea` in interface `StylesFactory`
Returns:
  a new object of class 'Gradient Colored Area'.

### createGradientColoredAreas

public GradientColoredAreas createGradientColoredAreas()

Specified by:
  `createGradientColoredAreas` in interface `StylesFactory`
Returns:
  a new object of class 'Gradient Colored Areas'.

### createAdaptedGradientColoredAreas

public AdaptedGradientColoredAreas createAdaptedGradientColoredAreas()

Specified by:
  `createAdaptedGradientColoredAreas` in interface `StylesFactory`
Returns:
  a new object of class 'Adapted Gradient Colored Areas'.

### createFont

public Font createFont()

Specified by:
  `createFont` in interface `StylesFactory`
Returns:
  a new object of class 'Font'.

### createPoint

public Point createPoint()

Specified by:
  `createPoint` in interface `StylesFactory`
Returns:
  a new object of class 'Point'.

### createColor

public Color createColor()

Specified by:
  `createColor` in interface `StylesFactory`
Returns:
  a new object of class 'Color'.

### createPrecisionPoint

public PrecisionPoint createPrecisionPoint()

Specified by:
  `createPrecisionPoint` in interface `StylesFactory`
Returns:
  a new object of class 'Precision Point'.

### createTextStyle

public TextStyle createTextStyle()

Specified by:
  `createTextStyle` in interface `StylesFactory`
Returns:
  a new object of class 'Text Style'.

### createTextStyleRegion

public TextStyleRegion createTextStyleRegion()

Specified by:
  `createTextStyleRegion` in interface `StylesFactory`
Returns:
  a new object of class 'Text Style Region'.

### createLineStyleFromString

public LineStyle createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLineStyleToString

public String convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createOrientationFromString

public Orientation createOrientationFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertOrientationToString

public String convertOrientationToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLocationTypeFromString

public LocationType createLocationTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLocationTypeToString

public String convertLocationTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createUnderlineStyleFromString

public UnderlineStyle createUnderlineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertUnderlineStyleToString

public String convertUnderlineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### getStylesPackage

public StylesPackage getStylesPackage()

Specified by:
  `getStylesPackage` in interface `StylesFactory`
Returns:
  the package supported by this factory.

### getPackage

@Deprecated public static StylesPackage getPackage()
Deprecated.